Bug 139508 - wrong free disk space requirements
wrong free disk space requirements
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 09:21 EST by Stefan Seefeld
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-02 14:34:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2004-11-16 09:21:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
It seems the installer doesn't take into account
temporary space required during the upgrade.
My partition has 7.8 GB, I chose to install 'all'
(which reported to require < 7 GB), but still
got a 'not enough space' error during installation.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install FC3 using the 'upgrade' method
2. choose packages such that the install will require just slightly
less space than your partition provides (just as much as is necessary
to make anaconda happy when evaluating whether enough space is available)
3. run and wait for a message of the form 'not enough disk space' or
similar
    

Expected Results:  1) anaconda reports the required space that is
*really* necessary to upgrade, no matter whether it's temporary or not.

2) reduce the temporary space requirements, or allow additional
partitions to be used as temporary workspace during the upgrade.

Additional info:
Comment 2 Chris Lumens 2006-06-02 14:34:31 EDT
Unfortunately, we don't know how much space is going to be required by things
like temporary files, space used by package scriptlets, and the like.  We have
some better testing and reporting post-FC5, but we can't do as well as you'd like.

Note You need to log in before you can comment on or make changes to this bug.